# stuff to be implemented externally:
Source10: kmodtool
%define	kmodtool bash %{SOURCE10}
# end stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.18-1.2798.fc6}

%define kmod_name rt2570
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)

%define upvar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch ppc
%define smpvar smp
%endif
%ifarch i686 x86_64
%define xenvar xen
%define kdumpvar kdump
%endif
%ifarch i686 x86_64 ppc
%define kdumpvar kdump
%endif
%{!?kvariants: %define kvariants %{?upvar} %{?smpvar} %{?paevar} %{?xenvar} %{?kdumpvar}}

%define cvs 20061120

Name:		%{kmod_name}-kmod
Version:	1.1.0.cvs%cvs
Release:	5.%(echo %{kverrel} | tr - _)
Summary:	Kernel module for RT2570 wireless devices 
Group:		System Environment/Kernel
License:	GPL
URL:		http://rt2x00.serialmonkey.com/
#Source0:	http://rt2x00.serialmonkey.com/rt2570-cvs-daily.tar.gz
#Rename daily to %{cvs} version of the tarball.
#Cleaned tarball from CVS entries.
Source0:	rt2570-cvs-%{cvs}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	sharutils
# ppc version may be very buggy
#ExclusiveArch:	i585 i686 x86_64


%description
This package contains the Ralink rt2570 Driver for WiFi, a linux
device driver for 802.11a/b/g universal NIC cards - either Cardbus,
PCI or MiniPCI - that use rt2570 chipsets.

# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}


%prep
# to understand the magic better or to debug it, uncomment this:
#{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -n %{name}-%{cvs} 
for kvariant in %{kvariants} ; do
	cp -a rt2570-cvs-%{cvs} _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants} ; do
#ksrc=%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}
cd _kmod_build_$kvariant/Module
	make 					\
	KERNELPATH="%{_usrsrc}/kernels/%{kverrel}${kvariant:+-$kvariant}-%{_target_cpu}" 			\
	KERNELRELEASE=%{kverrel}${kvariant}	\
	MISC=/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
cd ..
cd ..
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
    mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
    pushd _kmod_build_$kvariant/Module
install -m 644 rt2570.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}${kvariant}/extra/%{kmod_name}
    popd
done


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Nov 20 2006 kwizart < kwizart at gmail.com > - 1.2.2.cvs20061120-5.fc6
- Update to 20061120.

* Sun Aug 27 2006 kwizart < kwizart at gmail.com > - 1.1.0.cvs2006082716-5_FC5
- Update to cvs 2006082716.
- Drop link to RaConfig2570 ( but is still built).
- Requires RutilT.

* Tue Aug 17 2006 kwizart < kwizart at gmail.com > - 1.1.0.cvs2006081716-4_FC5
- Update to extra repository.
- RaConfig2570 now ask root password.
- Update to cvs 2006081716.

* Tue Aug 08 2006 kwizart < kwizart at gmail.com > - 0.0.0.2006080806-3_FC5
- Update to cvs 2006080806.
- fix xpm shortcut image.
- KMISC = extra.
- cvs prefixed in version.

* Sat Jul 22 2006 kwizart at < fedora-france.org > - 0.0.0-2_FC5
- inital release ( based on madwifi from livna.org ).
